
/*************************************************************************************************
This file is part of CelsiusAFahrenheit

Copyright (C) 2009 Ezequiel Gastn Miravalles

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************************************/

/*************************************************************************************************
Software: CelsiusAFahrenheit
Author: Ezequiel Gastn Miravalles
Website: http://www.neoegm.com/es/tech/programming/c-cpp/wxwidgets/celsius-to-fahrenheit/
License: GNU GPL v3 (attached, read above)
*************************************************************************************************/

//---------------------------------------------------------------------------
//
// Name:        CelsiusAFahrenheitDlg.h
// Author:      Owner
// Created:     6/30/2009 7:46:59 PM
// Description: CelsiusAFahrenheitDlg class declaration
//
//---------------------------------------------------------------------------

#ifndef __CELSIUSAFAHRENHEITDLG_h__
#define __CELSIUSAFAHRENHEITDLG_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/button.h>
////Header Include End

////Dialog Style Start
#undef CelsiusAFahrenheitDlg_STYLE
#define CelsiusAFahrenheitDlg_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class CelsiusAFahrenheitDlg : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		CelsiusAFahrenheitDlg(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Celsius a Fahrenheit"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = CelsiusAFahrenheitDlg_STYLE);
		virtual ~CelsiusAFahrenheitDlg();
		void WxButton1Click(wxCommandEvent& event);
		void WxButton2Click(wxCommandEvent& event);
		void WxButton3Click(wxCommandEvent& event);
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *WxButton3;
		wxButton *WxButton2;
		wxStaticText *WxStaticText2;
		wxStaticText *WxStaticText1;
		wxTextCtrl *WxF;
		wxTextCtrl *WxC;
		wxButton *WxButton1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXBUTTON3 = 1007,
			ID_WXBUTTON2 = 1006,
			ID_WXSTATICTEXT2 = 1005,
			ID_WXSTATICTEXT1 = 1004,
			ID_WXF = 1003,
			ID_WXC = 1002,
			ID_WXBUTTON1 = 1001,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
