
/*************************************************************************************************
This file is part of CelsiusAFahrenheit

Copyright (C) 2009 Ezequiel Gastn Miravalles

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*************************************************************************************************/

/*************************************************************************************************
Software: CelsiusAFahrenheit
Author: Ezequiel Gastn Miravalles
Website: http://www.neoegm.com/es/tech/programming/c-cpp/wxwidgets/celsius-to-fahrenheit/
License: GNU GPL v3 (attached, read above)
*************************************************************************************************/

//---------------------------------------------------------------------------
//
// Name:        CelsiusAFahrenheitApp.cpp
// Author:      Owner
// Created:     6/30/2009 7:46:58 PM
// Description: 
//
//---------------------------------------------------------------------------

#include "CelsiusAFahrenheitApp.h"
#include "CelsiusAFahrenheitDlg.h"

IMPLEMENT_APP(CelsiusAFahrenheitDlgApp)

bool CelsiusAFahrenheitDlgApp::OnInit()
{
	CelsiusAFahrenheitDlg* dialog = new CelsiusAFahrenheitDlg(NULL);
	SetTopWindow(dialog);
	dialog->Show(true);	
		
	return true;
}
 
int CelsiusAFahrenheitDlgApp::OnExit()
{
	
	return 0;
}
